org.sonatype.maven.polyglot.execute

## Class ExecuteTaskSupport

- java.lang.Object
- - org.sonatype.maven.polyglot.execute.ExecuteTaskSupport

All Implemented Interfaces:
  ExecuteTask

Direct Known Subclasses:
  GroovyExecuteTask

    public abstract class ExecuteTaskSupport
    extends java.lang.Object
    implements ExecuteTask

Support for `ExecuteTask` implementations.

Since:
  0.7
Author:
  Jason Dillon

### Constructor Summary

Constructors
Constructor and Description
`ExecuteTaskSupport()`

### Method Summary

Methods
`java.lang.String` `getId()`
`java.lang.String` `getPhase()`
`void` `setId(java.lang.String id)`
`void` `setPhase(java.lang.String phase)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.sonatype.maven.polyglot.execute.ExecuteTask

`execute`

### Constructor Detail

#### ExecuteTaskSupport

    public ExecuteTaskSupport()

### Method Detail

#### getId

    public java.lang.String getId()

Specified by:
  `getId` in interface `ExecuteTask`

#### setId

    public void setId(java.lang.String id)

#### getPhase

    public java.lang.String getPhase()

Specified by:
  `getPhase` in interface `ExecuteTask`

#### setPhase

    public void setPhase(java.lang.String phase)